Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.builder
Class BinderConfiguration

    java.lang.Object
      org.springframework.webflow.engine.builder.BinderConfiguration

    public class BinderConfiguration

extends java.lang.Object

Contains the information needed to bind model to a view. This information consists of one or more `bindings` that connect properties of the model to UI elements of the view.

Author:
  Keith Donald
See Also:
  `ViewFactoryCreator`

Nested Class Summary
`static class` | `BinderConfiguration.Binding` A binding that provides the information needed to connect an element of the view to a property of the model.

Constructor Summary
`BinderConfiguration()`

Method Summary
`void` | `addBinding(BinderConfiguration.Binding binding)` Adds a new binding to this binding configuration.
`BinderConfiguration.Binding` | `getBinding(java.lang.String name)` Gets the binding with the specified name, or returns null if no such binding is found.
`java.util.Set` | `getBindings()` Returns the set of bindings associated with this binding configuration.
`java.lang.String` | `getConverterId(java.lang.String name)` Gets the converterId for the binding with the specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinderConfiguration

    public BinderConfiguration()

Method Detail

### addBinding

    public void addBinding(BinderConfiguration.Binding binding)

  Adds a new binding to this binding configuration.

  Parameters:
    `binding` - the binding

### getBindings

    public java.util.Set getBindings()

  Returns the set of bindings associated with this binding configuration.

### getBinding

    public BinderConfiguration.Binding getBinding(java.lang.String name)

  Gets the binding with the specified name, or returns null if no such binding is found.

  Parameters:
    `name` - the name of the binding.
  Returns:
    the binding

### getConverterId

    public java.lang.String getConverterId(java.lang.String name)

  Gets the converterId for the binding with the specified name. Returns null if either a binding or a converterId for the given name is not found.

  Parameters:
    `name` - the name of the binding.
  Returns:
    the binding

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD